HP Views Designer Assistant: Icon Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Attributes | List of all members
Icon Class Reference

The icon class. Represents icon element in menu screens. More...

`#include <icon.h>`

## Public Member Functions

| Icon ()
| Icon constructor.
QString | getPath () const
| getPath Returns the path of the icon image. More...
void | setPath (const QString value)
| setPath Replaces the path of the icon image. More...
QString | getTitle () const
| getTitle Returns the icon title. More...
void | setTitle (const QString &value)
| setTitle Replaces the icon title. More...
int | getTopMargin () const
| getTopMargin Returns icon top margin. More...
void | setTopMargin (int value)
| setTopMargin Replaces icon top margin. More...
int | getBottomMargin () const
| getBottomMargin Replaces icon bottom margin. More...
void | setBottomMargin (int value)
| setBottomMargin Replaces icon bottom margin. More...
int | getLeftMargin () const
| getLeftMargin Returns icon left margin. More...
void | setLeftMargin (int value)
| setLeftMargin Replaces icon left margin. More...
int | getRightMargin () const
| getRightMargin Returns icon right margin. More...
void | setRightMargin (int value)
| setRightMargin Replaces icon right margin. More...

## Private Attributes

QString | path
| path Image path of the icon.
QString | title
| title Title of the icon.
int | topMargin
| topMargin Top margin of the icon.
int | bottomMargin
| bottomMargin Bottom margin of the icon.
int | leftMargin
| leftMargin Left margin of the icon.
int | rightMargin
| rightMargin Right margin of the icon.

## Detailed Description

The icon class. Represents icon element in menu screens.

## Member Function Documentation

## ◆ getBottomMargin()

int Icon::getBottomMargin | ( |  | ) | const

getBottomMargin Replaces icon bottom margin.

Returns
  Bottom margin.

## ◆ getLeftMargin()

int Icon::getLeftMargin | ( |  | ) | const

getLeftMargin Returns icon left margin.

Returns
  Left margin.

## ◆ getPath()

QString Icon::getPath | ( |  | ) | const

getPath Returns the path of the icon image.

Returns
  Path of the image.

## ◆ getRightMargin()

int Icon::getRightMargin | ( |  | ) | const

getRightMargin Returns icon right margin.

Returns
  Right margin.

## ◆ getTitle()

QString Icon::getTitle | ( |  | ) | const

getTitle Returns the icon title.

Returns
  Title of the icon.

## ◆ getTopMargin()

int Icon::getTopMargin | ( |  | ) | const

getTopMargin Returns icon top margin.

Returns
  Top margin.

## ◆ setBottomMargin()

void Icon::setBottomMargin | ( | int | value | ) |

setBottomMargin Replaces icon bottom margin.

Parameters

  value | Bottom margin value.

## ◆ setLeftMargin()

void Icon::setLeftMargin | ( | int | value | ) |

setLeftMargin Replaces icon left margin.

Parameters

  value | Left margin value.

## ◆ setPath()

void Icon::setPath | ( | const QString | value | ) |

setPath Replaces the path of the icon image.

Parameters

  value | Path of the image.

## ◆ setRightMargin()

void Icon::setRightMargin | ( | int | value | ) |

setRightMargin Replaces icon right margin.

Parameters

  value | Right margin value.

## ◆ setTitle()

void Icon::setTitle | ( | const QString & | value | ) |

setTitle Replaces the icon title.

Parameters

  value | Title of the icon.

## ◆ setTopMargin()

void Icon::setTopMargin | ( | int | value | ) |

setTopMargin Replaces icon top margin.

Parameters

  value | Top margin value.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Model/icon.h
- D:/Documentos/ViewDesignerAssistant/Model/icon.cpp